Skip to main content
`Ctrl`+`K`

# PetscDARegisterAll

Registers all data assimilation backends that were compiled in.

## Synopsis

    PetscErrorCode PetscDARegisterAll(void)

Not Collective

## See Also

PetscDA: Data Assimilation, `PetscDARegister()`

## Level

developer

## Location

src/ml/da/interface/petscda.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages